> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.arcstudiopro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get script

> Return script metadata and its snapshot list.

Returns script metadata, `latest_snapshot_id`, and snapshot metadata.

```bash theme={null}
curl "https://api.arcstudiopro.com/v1/projects/project_.../scripts/script_..." \
  -H "Authorization: Bearer $ARC_STUDIO_API_KEY"
```

```json theme={null}
{
  "id": "script_...",
  "object": "script",
  "project_id": "project_...",
  "title": "Pilot",
  "latest_snapshot_id": "snapshot_...",
  "links": {
    "self": "/v1/projects/project_.../scripts/script_...",
    "latest_snapshot_document": "/v1/projects/project_.../scripts/script_.../latest_snapshot_document.json",
    "snapshots": "/v1/projects/project_.../scripts/script_.../snapshots"
  },
  "snapshots": []
}
```
